Note

 

This documentation supports the 20.18.02 version of Remedyforce.

To view the latest documentation, select the latest version from the Product version menu.

Supported browsers, mobile devices, and integrations

This section provides information about the browsers, mobile devices, and integrations that BMC Remedyforce supports:

Salesforce platform

BMC Remedyforce is supported on the Enterprise Edition, Unlimited Edition, and Performance Edition versions of the Salesforce platform. For more information about the editions offered by Salesforce, see the Salesforce Help.

Supported browsers

Browser Supported versions
Apple Safari on Macintosh OS

10.0.1

Google Chrome

69.0.3497.81

Note: If an Adobe Flash Player related error message is displayed, check the browser plug-in settings.

Microsoft Internet Explorer

11.966.15063.0

Remedyforce for Lightning Experience is not supported on Microsoft Internet Explorer 11. If there any issues found, the issues will not be resolved. However, you can use other browsers such as Microsoft Edge and Google Chrome.

In case you have opted for Extended use of Microsoft Internet Explorer 11 with Lightning Experience under Setup > Security > Session Settings, it is still not recommended to run Remedyforce on Explorer 11 because of security compromises and performance issues.

Microsoft Edge

40.15063.674.0

Mozilla Firefox

62.0.2

Note

Remedyforce is not supported on mobile browsers. If you want to use Remedyforce on mobile, BMC recommends that you use Salesforce1 Mobile App.

Supported mobile devices and operating systems

Mobile application Supported devices Supported mobile operating systems
BMC Remedyforce mobile application on the Salesforce1 platform (for staff members) Apple mobile devices  iOS 7 or later
iPhone 4 and later models  
Android phones Android 4.2 or later
BMC MyIT mobile client app

Apple mobile devices (iPad and iPhone)

iOS 7 or later
Android phones Android 4.2 or later
BMC Remedyforce Self Service mobile application on the Salesforce1 platform - BETA

Apple mobile devices (iPhone 5 and later models)

iOS 8.4 or later
Android phones Android 5.0 or later
BMC Remedyforce Self Service mobile application

BlackBerry smartphone with Blackberry

 OS 7.1, 7.0, 6.0, 5.0
Apple iPhone OS 5.0 and later
Nexus 4 Android OS 4.2.2
For targeted devices Android OS 3.0, and API level 11 and later.

Best practice

To use the Self Service mobile app or Service Desk mobile app, BMC recommends that you install the latest versions of your mobile operating system and the Salesforce1 Mobile App.

Supported integrations with other products

Area of integration Supported Product Supported versions
Asset management

Microsoft System Center Configuration Manager

2012 R2 SP1, 2012, 2007

BMC FootPrints Asset Core

11.7, 11.6

BMC Client Management

Notes:

  • Before version 12.0, BMC Client Management was known as BMC FootPrints Asset Core.
  • The Pentaho package to import data from BMC FootPrints Asset Core (package name: FootPrints Asset Core WebServices Integration Package CMDB 2.0 does not work with Pentaho 6.1 and 7.1. To import data, you must use Pentaho 6.0.)
12.7 Patch 1, 12.6, 12.5, 12.0
BMC Client Management OnDemand 12.7, 12.5, 12.0
BMC BladeLogic Client Automation 9.0.04, 9.0.03, 9.0.02, 9.0.00, 8502, 8501, 8.5, 8.3, 8.2.02, 8.2.01, 8.2.00

BMC Discovery

(Before version 11.0, BMC Discovery was known as BMC Atrium Discovery and Dependency Mapping.)

Note: BMC Discovery 11.0 works with the existing Pentaho packages that are available on BMC Communities. However, there is a known issue with the Edit Mapping feature. For more information about the issue and the workaround, see issue 79517 in the Known and corrected issues topic.

11.3.03, 11.3.02, 11.3.01, 11.2.01, 11.1, 11, 10.2, 10.1, 10.0, 9.0.2, 9.0, 8.3.2.2, 8.2.1
Dell KACE K1000 Systems Management Appliance

5.3.53053

Communication protocol LDAP 3, 2 3, 2
BMC Atrium Configuration Management Database

BMC Atrium CMDB

18.08, 9.1 SP5, 9.1 SP4,12.6, 11.1, 9.1 SP2, 9.1, 9.0 SP1, 9.0, 8.1

Data integration

Pentaho


7.1, 6.0.1, 5.0.4, 5.0.3, 5.0.2, 5.0.1, 4.4, 4.3, 4.2, 4.1

8.1 supported only on the following applications:

BCM 12.7 P1, DELL KACE CMDB 2.0, LDAP 2.0 With Permissions

Java Runtime Environment (JRE) 8
Knowledge management

Salesforce.com Article Management

Not applicable
RightAnswers Knowledge Management 1.3
Network monitoring and event notification

BMC ProactiveNet Performance Management (TrueSight Operations Management)

11.3.01, 11.3, 10.5TSOM, 9.6FP2, 10.1, 10, 9.6, 9.5, 9.0.20, 9.0, 8.6
BMC Server Automation 8.9 SP3 Patch 1, 8.9 SP3, 8.9 SP2, 8.9. SP1, 8.9, 8.7P2, 8.7, 8.6 SP1, 8.6, 8.5.01.234
BMC Real End User Experience Monitoring

11.0.00.002, 11, 10.5, 2.7.01, 2.7, 6.6.68.313, 6.6, 6.5.64.306, 6.0, 1.3

Self Service BMC MyIT OnDemand 3.2, 3.1, 2.6, 2.5, 2.2, 2.1.00
Social media Salesforce.com Chatter 3.2.2, 3.2.1, 3.0
Telephony Application Programming Interface Salesforce.com computer-telephony integration (CTI)

Open CTI Demo Adapter Spring 15 - 1.5, Demo CTI Adapter 4.03, 4.02

Lightning CTI Demo Adapter: Winter 17

Related topics

General recommendations

Supported languages and locales

Integrating

BBCA CMDB 2.0

Was this page helpful? Yes No Submitting... Thank you

Comments